import { FileContent } from '../types';
/**
 * Check if the UTF-8 BOM is present in the first three bytes
 *
 * @param {FileContent} content
 * @returns {boolean}
 */
export declare function isUtf8BomPresent(content: FileContent): boolean;
/**
 * Check if char is not whitespace
 *
 * @param {number} char
 * @returns {boolean}
 */
export declare function isNotWhiteSpace(char: number): boolean;
/**
 * Remove whitespaces from the file
 *
 * @param {FileContent} content
 * @param {number} startingIndex
 * @returns {FileContent}
 */
export declare function removeWhitespaceBytewise(content: FileContent, startingIndex: number): FileContent;
/**
 * Remove unwanted bytes from the file
 *
 * If it is UTF-8 BOM we start parsing the file content from index 3
 *
 * @param {FileContent} content
 * @returns {FileContent}
 */
export declare function removeWhitespaces(content: FileContent): FileContent;
